## EvNavigationActionWidget EvNavigationActionWidget |

## Synopsis

    #define             EV_TYPE_NAVIGATION_ACTION_WIDGET
    #define             EV_NAVIGATION_ACTION_WIDGET         (obj)
                        EvNavigationActionWidget;
    GType               ev_navigation_action_widget_get_type
                                                            (void);
    void                ev_navigation_action_widget_set_menu
                                                            (EvNavigationActionWidget *widget,
                                                             GtkWidget *menu);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GtkWidget
                         +----GtkContainer
                               +----GtkBin
                                     +----GtkToolItem
                                           +----GtkToolButton
                                                 +----GtkToggleToolButton
                                                       +----EvNavigationActionWidget

## Implemented Interfaces

EvNavigationActionWidget implements GtkBuildable and AtkImplementorIface.

## Signals

      "show-menu"                                      : Run First
      "show-menu"                                      : Run First

## Description

## Details

### EV_TYPE_NAVIGATION_ACTION_WIDGET

    #define EV_TYPE_NAVIGATION_ACTION_WIDGET (ev_navigation_action_widget_get_type ())

### EV_NAVIGATION_ACTION_WIDGET()

    #define EV_NAVIGATION_ACTION_WIDGET(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), EV_TYPE_NAVIGATION_ACTION_WIDGET, EvNavigationActionWidget))

`obj` : |

### EvNavigationActionWidget

    typedef struct _EvNavigationActionWidget EvNavigationActionWidget;

### ev_navigation_action_widget_get_type ()

    GType               ev_navigation_action_widget_get_type
                                                            (void);

Returns : |

### ev_navigation_action_widget_set_menu ()

    void                ev_navigation_action_widget_set_menu
                                                            (EvNavigationActionWidget *widget,
                                                             GtkWidget *menu);

`widget` : |
`menu` : |

## Signal Details

### The "show-menu" signal

    void                user_function                      (EvNavigationActionWidget *evnavigationactionwidget,
                                                            gpointer                  user_data)                     : Run First

`evnavigationactionwidget` : | the object which received the signal.
`user_data` : | user data set when the signal handler was connected.

### The "show-menu" signal

    void                user_function                      (EvNavigationActionWidget *evnavigationactionwidget,
                                                            gpointer                  user_data)                     : Run First

`evnavigationactionwidget` : | the object which received the signal.
`user_data` : | user data set when the signal handler was connected.